__gnu_profile::__container_size_stack_info(3cxx)

NAME
__gnu_profile::__container_size_stack_info - A container size instrumentation line in the stack table.

SYNOPSIS

#include <profiler_container_size.h>

Inherits __gnu_profile::__container_size_info.

  Public Member Functions

__container_size_stack_info (const __container_size_info &__o)
std::string __advice () const
void __destruct (std::size_t __num, std::size_t __inum)
void __init (std::size_t __num)
bool __is_valid () const
float __magnitude () const
void __merge (const __container_size_info &__o)
void __merge (const __object_info_base &__o)
void __resize (std::size_t __from, std::size_t __to)
float __resize_cost (std::size_t __from, std::size_t)
void __set_invalid ()
__stack_t __stack () const
void __write (FILE *__f) const

  Protected Attributes

__stack_t _M_stack
bool _M_valid

Detailed Description

A container size instrumentation line in the stack table.

Definition at line 147 of file profiler_container_size.h.

Constructor & Destructor Documentation

  __gnu_profile::__container_size_stack_info::__container_size_stack_info (const __container_size_info & __o) [inline]

Definition at line 151 of file profiler_container_size.h.

Member Function Documentation

  std::string __gnu_profile::__container_size_info::__advice () const [inline], [inherited]

Definition at line 65 of file profiler_container_size.h.

  void __gnu_profile::__container_size_info::__destruct (std::size_t __num, std::size_t __inum) [inline], [inherited]

Definition at line 99 of file profiler_container_size.h.

  void __gnu_profile::__container_size_info::__init (std::size_t __num) [inline], [inherited]

Definition at line 75 of file profiler_container_size.h.

  bool __gnu_profile::__object_info_base::__is_valid () const [inline], [inherited]

Definition at line 134 of file profiler_node.h.

  float __gnu_profile::__container_size_info::__magnitude () const [inline], [inherited]

Definition at line 61 of file profiler_container_size.h.

  void __gnu_profile::__container_size_info::__merge (const __container_size_info & __o) [inline], [inherited]

Definition at line 82 of file profiler_container_size.h.

  void __gnu_profile::__object_info_base::__merge (const __object_info_base & __o) [inline], [inherited]

Definition at line 142 of file profiler_node.h.

  void __gnu_profile::__container_size_info::__resize (std::size_t __from, std::size_t __to) [inline], [inherited]

Definition at line 126 of file profiler_container_size.h.

  float __gnu_profile::__container_size_info::__resize_cost (std::size_t __from, std::size_t) [inline], [inherited]

Definition at line 121 of file profiler_container_size.h.

  void __gnu_profile::__object_info_base::__set_invalid () [inline], [inherited]

Definition at line 138 of file profiler_node.h.

  __stack_t __gnu_profile::__object_info_base::__stack () const [inline], [inherited]

Definition at line 146 of file profiler_node.h.

  void __gnu_profile::__container_size_info::__write (FILE * __f) const [inline], [inherited]

Definition at line 53 of file profiler_container_size.h.

Member Data Documentation

  __stack_t __gnu_profile::__object_info_base::_M_stack [protected], [inherited]

Definition at line 150 of file profiler_node.h.

  bool __gnu_profile::__object_info_base::_M_valid [protected], [inherited]

Definition at line 151 of file profiler_node.h.

Author

Generated automatically by Doxygen for libstdc++ from the source code.